Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge
Class Trajectory

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.splitmerge.Trajectory

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  TrajectoryForSubgradient

    public class Trajectory

extends Object
implements Cloneable

Field Summary
`protected boolean[]` | `canSplit`
`protected int[]` | `lowerStaffing`
`protected int` | `numCanSplit`
`protected int` | `numDiffStaffings`
`protected int[]` | `upperStaffing`

Constructor Summary
`Trajectory(CallCenterCTMC ctmc, int[][] typeToGroupMap, CallCenterCounters counters, int[] lowerStaffing, int[] upperStaffing)`

Method Summary
`boolean` | `canSplit(CallCenterCTMC ctmc)`
`boolean` | `canSplit(CallCenterCTMC ctmc, int k)`
`void` | `changePeriod(CallCenterCTMC ctmc, CallCenterCounters counters, int[] lowerStaffing1, int[] upperStaffing1, int p)`
`Trajectory` | `clone()`
`int` | `getAgentGroup(CallCenterCTMC ctmc, int k)`
`CallCenterCounters` | `getCounters()`
`CallCenterCounters` | `getCounters(int p)`
`int[]` | `getLowerStaffing()`
`int[]` | `getLowerStaffing(int p)`
`int` | `getNumDiffStaffings()`
`int` | `getNumMerge()`
`int` | `getNumSplit()`
`int` | `getSplitTransition()`
`AccumulateWithTimes` | `getStatNumTrajectories()`
`int[][]` | `getTypeToGroupMap()`
`int[]` | `getUpperStaffing()`
`int[]` | `getUpperStaffing(int p)`
`void` | `newMerge()`
`Trajectory[]` | `split(CallCenterCTMC ctmc, int k)`
`Trajectory[]` | `splitNewPeriod(CallCenterCTMC ctmc)`
`protected Trajectory[]` | `splitNewPeriod(CallCenterCTMC ctmc, int[] maxAgentsSplit)`
`void` | `storePeriod()`
`String` | `toString()`
`void` | `update(CallCenterCTMC ctmc, TransitionType type)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lowerStaffing

    protected int[] lowerStaffing

### upperStaffing

    protected int[] upperStaffing

### canSplit

    protected boolean[] canSplit

### numCanSplit

    protected int numCanSplit

### numDiffStaffings

    protected int numDiffStaffings

Constructor Detail

### Trajectory

    public Trajectory(CallCenterCTMC ctmc,
                      int[][] typeToGroupMap,
                      CallCenterCounters counters,
                      int[] lowerStaffing,
                      int[] upperStaffing)

Method Detail

### storePeriod

    public void storePeriod()

### changePeriod

    public void changePeriod(CallCenterCTMC ctmc,
                             CallCenterCounters counters,
                             int[] lowerStaffing1,
                             int[] upperStaffing1,
                             int p)

### update

    public void update(CallCenterCTMC ctmc,
                       TransitionType type)

### getNumDiffStaffings

    public int getNumDiffStaffings()

### canSplit

    public boolean canSplit(CallCenterCTMC ctmc)

### canSplit

    public boolean canSplit(CallCenterCTMC ctmc,
                            int k)

### getAgentGroup

    public int getAgentGroup(CallCenterCTMC ctmc,
                             int k)

### split

    public Trajectory[] split(CallCenterCTMC ctmc,
                              int k)

### splitNewPeriod

    public Trajectory[] splitNewPeriod(CallCenterCTMC ctmc)

### splitNewPeriod

    protected Trajectory[] splitNewPeriod(CallCenterCTMC ctmc,
                                          int[] maxAgentsSplit)

### getTypeToGroupMap

    public int[][] getTypeToGroupMap()

### getCounters

    public CallCenterCounters getCounters()

### getCounters

    public CallCenterCounters getCounters(int p)

### getStatNumTrajectories

    public AccumulateWithTimes getStatNumTrajectories()

### getLowerStaffing

    public int[] getLowerStaffing()

### getLowerStaffing

    public int[] getLowerStaffing(int p)

### getUpperStaffing

    public int[] getUpperStaffing()

### getUpperStaffing

    public int[] getUpperStaffing(int p)

### newMerge

    public void newMerge()

### getNumSplit

    public int getNumSplit()

### getNumMerge

    public int getNumMerge()

### getSplitTransition

    public int getSplitTransition()

### clone

    public Trajectory clone()

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.